function Callback_Resize_Components( hobject,callbackdata)
global S;

%%%%%%%%%%%%%%%%%%%%%%%%%%
%Get Current Figure Size %
FigSize = hobject.Position;
FWidth  = FigSize(3);
FHeight = FigSize(4);
FminH = S.FminH;
FminW = S.FminW;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Make Sure to keep minimum FIgure Proportions %
if((FWidth < FminW) || (FHeight < FminH))
    % ALIGN TO CENTER
    Scr = groot;
    W = Scr.ScreenSize(3);
    H = Scr.ScreenSize(4);
    S.fm.Position = [(W/2 - FminW/2),(H/2 - FminH/2),FminW,FminH];
    FWidth  = FminW;
    FHeight = FminH;
end

% LOAD PARAMS FROM DATA STRUCTURE
RadioStart        = S.FHeight - S.VertSpacing - 10;



%%%%%%%%%%%%%%%%%%%%%%%%
% Update Radio Buttons %
VertC = 1;
S.Radio1.Position = [10 RadioStart S.RadioWidth S.RadioHeight];
S.Radio2.Position = [10 RadioStart - S.VertSpacing*VertC S.RadioWidth S.RadioHeight]; VertC = VertC + 1;
S.Radio3.Position = [10 RadioStart - S.VertSpacing*VertC S.RadioWidth S.RadioHeight]; VertC = VertC + 1;
S.Radio4.Position = [10 RadioStart - S.VertSpacing*VertC S.RadioWidth S.RadioHeight]; VertC = VertC + 1;
VertL = VertC;

%%%%%%%%%%%%%%%%%%%%%
% Update Edit Boxes %
S.EditDelay.Position    = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1; 
S.EditPhase.Position    = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditOffset.Position   = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditSweep.Position    = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditFStart.Position   = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditFStop.Position    = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditSNR.Position      = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditGPSDec.Position   = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditGPSCod.Position   = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditFsa.Position      = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditTime.Position     = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
S.EditFPoints.Position  = [S.GeneralHOffset+S.EditHOffset RadioStart - S.VertSpacing*VertC S.EditWidth S.EditHeight]; VertC = VertC + 1;
%%%%%%%%%%%%%%%%%
% Update Labels %
S.LabDelay.Position     = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabPhase.Position     = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabOffset.Position    = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabSweep.Position     = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabFStart.Position    = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabFStop.Position     = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabSNR.Position       = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabGPSDec.Position    = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabGPSCod.Position    = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabFsa.Position       = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabTime.Position      = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
S.LabFPoints.Position   = [S.GeneralHOffset RadioStart - S.VertSpacing*VertL S.LabWidth S.LabHeight];VertL = VertL + 1; 
%%%%%%%%%%%%%%%%%%%%%%%
% Update Push Buttons %
S.Push1.Position = [S.GeneralHOffset RadioStart-S.VertSpacing*VertC - 10 S.EditWidth+S.LabWidth 30]; VertC = VertC + 1;

% UPDATE BUTTONGROUP AND FIGURE SIZE
S.ButtonGroup1.Position = [0 0 S.ComponentsWidth/FWidth 1];


% UPDATE AXES AND PANELS
FreeWidth = FWidth - S.ComponentsWidth - 3*S.AxSpacing;
FreeHeight = FHeight - 3*S.AxSpacing;
S.PDop.Position =  [(S.ComponentsWidth + S.AxSpacing)/FWidth,                    (S.AxSpacing)/FHeight,                     (FreeWidth/2)/FWidth,    (FreeHeight/2)/FHeight];
S.PDel.Position = [(S.ComponentsWidth + 2*S.AxSpacing + (FreeWidth/2))/FWidth,   (S.AxSpacing)/FHeight,                     (FreeWidth/2)/FWidth,    (FreeHeight/2)/FHeight];
S.P3D.Position =  [(S.ComponentsWidth + S.AxSpacing)/FWidth,                     (2*S.AxSpacing + (FreeHeight/2))/FHeight,  (FreeWidth + S.AxSpacing)/FWidth,      (FreeHeight/2)/FHeight];
S.AxDop.Position = [S.GS,S.GS,1 - 2*S.GS,1 - 2*S.GS];
S.AxDel.Position = [S.GS,S.GS,1 - 2*S.GS,1 - 2*S.GS];
S.Ax3D.Position  = [S.GS,S.GS,1 - 2*S.GS,1 - 2*S.GS];

end

