%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% PRNno - PRN Sequence Number (1 - 37)
% Npc - Amount of samples per chip period
% Np  - Amount of Periods
% fd  - doppler offset in Hz
% tau - Code Delay in v ms
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function s = sGPSGen(PRNno, Npc, Np, fd, tau)

    %%%%%%%%%%%%%%%%%%%%%
    % Load PRN Sequence %
    PRN = load(['..',filesep,'..',filesep,'Data',filesep,'PRN',num2str(PRNno),'.txt']);

    k = 1:Npc*Np;

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Generate PRN with required length %
    sc = PRN(floor(mod((k/Npc-tau)*1023,1023))+1);

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % Generate Base GPS Signal % 
    fn = exp(2*pi*1j*k*fd/1000/Npc);

    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % GPS L1 Times Spreading sequence %
    s = sc.*fn;
end